import { defineComponent, reactive, ref, onMounted } from "vue";
import styles from "./index.module.less";
import { Icon } from "vant";
export default defineComponent({
	name: "the-audio",
    props:{
        src: {
            type: String,
            default: ''
        }
    },
	setup(props) {
        const videoRef = ref()
		onMounted(() => {
			var audio: any = document.querySelector('audio');
			audio.volume = 0.1;
			
		})
		return () => (
			<div class={styles.wrap}>
				<audio ref={videoRef} preload="auto" controls src={props.src}></audio>
			</div>
		);
	},
});
